
Vagrant.configure("2") do |config|
    config.vm.define 'db' do |node|
        node.vm.provider "virtualbox" do |v|
            v.memory = 256
        end
        node.vm.box = "bento/ubuntu-18.04"

        node.vm.network "forwarded_port", guest: 6379, host: 6379, host_ip: "127.0.0.1"

        node.vm.provision "shell", inline: %Q[
            apt-get install -y redis-server;
            sed -i -e 's/^bind .*$/bind 0.0.0.0/g' /etc/redis/redis.conf;
            systemctl restart redis-server;
        ]
    end
end
